View Issue Details

IDProjectCategoryView StatusLast Update
0001666SymmetricDSBugpublic2014-04-14 22:19
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.19 
Target Version3.5.20Fixed in Version3.5.20 
Summary0001666: SQL Server bulk loader does not handle comma
DescriptionThe bulk insert file uses commas as a delimiter, and there is no escaping available, so a comma in any data field with cause the load to fail. Use a multi-character delimiter to make it less likely to cause a problem.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 683d6436

2014-04-11 19:58:41

erilong

Details Diff
0001666: SQL Server bulk loader does not handle comma
0001666
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/io/data/writer/AbstractBulkDatabaseWriterTest.java Diff File
mod - symmetric-client/src/test/java/org/jumpmind/symmetric/io/data/writer/MsSqlBulkDatabaseWriterTest.java Diff File
mod - symmetric-mssql/src/main/java/org/jumpmind/symmetric/io/data/writer/MsSqlBulkDatabaseWriter.java Diff File

Issue History

Date Modified Username Field Change
2014-04-11 19:58 elong New Issue
2014-04-11 19:58 elong Status new => assigned
2014-04-11 19:58 elong Assigned To => elong
2014-04-11 20:00 Changeset attached => SymmetricDS trunk r8155
2014-04-11 20:00 Changeset attached => SymmetricDS 3.5 r8156
2014-04-14 22:19 chenson Status assigned => resolved
2014-04-14 22:19 chenson Fixed in Version => 3.5.20
2014-04-14 22:19 chenson Resolution open => fixed
2014-04-14 22:19 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master 683d6436